/***************************************************************************
                          kxineplaylist.h
                             -------------------
    begin                : 2002-09-07
    copyright            : (C) 2002 by Mark Thomas
    email                : markbt@users.sourceforge.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KXINEPLAYLIST_H
#define KXINEPLAYLIST_H

#include <qwidget.h>
#include <qtoolbutton.h>
#include "kxinelistbox.h"

class KxinePlayList : public QWidget
{
  Q_OBJECT

public:
  KxinePlayList (QWidget *parent=0, const char *name=0, WFlags f=0);

  QString getNextMRL ();
  QString peekNextMRL ();

signals:
  void playMRL (QString);

protected slots:
  void addPressed ();
  void removePressed ();
  void playlistAppend (QString);

private:
  KxineListBox *list;

  QToolButton *addButton;  
  QToolButton *removeButton;  
  QToolButton *repeatButton;

};

#endif
