/***************************************************************************
                          KxineSlider  -  sane reimplementation of QSlider
                             -------------------
    begin                : 2002-08-08
    copyright            : (C) 2002 by Mark Thomas
    email                : markbt@users.sourceforge.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KXINESLIDER_H
#define KXINESLIDER_H

#include <qslider.h>

class KxineSlider : public QSlider
{
  Q_OBJECT

public:
  KxineSlider (Qt::Orientation orientation, QWidget *parent, const char *name = 0);

  void xineSetValue (int);

signals:
  void xineValueChanged (int);

protected:
  virtual void mousePressEvent (QMouseEvent *);
  virtual void mouseMoveEvent (QMouseEvent *);
  virtual void mouseReleaseEvent (QMouseEvent *);

private:
  bool dragging;

};

#endif

