/***************************************************************************
                          kxinelistitem.h
                             -------------------
    begin                : 2002-09-07
    copyright            : (C) 2002 by Mark Thomas
    email                : markbt@users.sourceforge.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KXINELISTITEM_H
#define KXINELISTITEM_H

#include <qlistbox.h>
#include "kxinelistbox.h"

class KxineListItem : public QListBoxText
{
public:
  KxineListItem (KxineListBox *listbox, const QString &mrl);

  void setMRL (const QString &);
  inline QString getMRL ()
  { return mrl; }

  virtual int rtti ();

  void swapWith (KxineListItem *);

protected:
  virtual void paint (QPainter *);

  QString mrl;
  KxineListBox *kxineListBox;

};

#endif
